Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035852
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminoralways2017-04-27 08:382017-05-29 17:43
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR17Q3
StatusclosedFix in branchFixed in SCM revision554d8c055ea2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035852: Add a mechanism to cache the static resources

DescriptionIt would be nice to have a mechanism that allows to cache the static resources (js and css) in order to improve the performance of the login process.

This mechanism could be used by other modules providing static resources like WebPOS. This way, all the caching logic would be centralized at one point.

More Info: http://wiki.openbravo.com/wiki/Projects:Static_Resources_Caching [^]

Steps To ReproduceIn description
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0035386 closedcaristu Openbravo ERP Login page needs some clean up 
related to feature request 0035553 closedcaristu Openbravo ERP Improve scalability of the login process 
related to feature request 0035853 closedjorge-garcia Retail Modules Use the StaticResourceProvider in mobile to cache static resources 
related to feature request 0035980 closedcaristu Openbravo ERP Improve the time spent to load the widgets after log-in 
causes defect 0035979 closedcaristu Openbravo ERP The size of the company image in the navigation bar is not updated properly 
causes defect 0036146 closedalostale Openbravo ERP Static resources file may become corrupted if asked concurrently 
causes defect 0037259 closedcaristu Openbravo ERP Some labels are not properly translated after switching the language 

-  Notes
(0096444)
hgbot (developer)
2017-05-08 08:42

Repository: erp/devel/pi
Changeset: 554d8c055ea2e7cb078c405634e41c14079bd61e
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon May 08 08:39:29 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/554d8c055ea2e7cb078c405634e41c14079bd61e [^]

fixes issue 35852: Add a mechanism to cache the static resources

---
M modules/org.openbravo.apachejdbcconnectionpool/src/org/openbravo/apachejdbcconnectionpool/JdbcExternalConnectionPool.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelApplicationInitializer.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelComponentProvider.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/StaticResourceComponent.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/StyleSheetResourceComponent.java
M src/index.jsp
A modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/StaticResourceProvider.java
A modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/StaticResourceProviderMBean.java
A src/org/openbravo/jmx/MBeanRegistry.java
---
(0096593)
alostale (developer)
2017-05-15 13:19

reviewed within project's QA
(0096949)
hudsonbot (developer)
2017-05-29 17:43

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1ee70113bdc4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-04-27 08:38 caristu New Issue
2017-04-27 08:38 caristu Assigned To => platform
2017-04-27 08:38 caristu Modules => Core
2017-04-27 08:38 caristu Triggers an Emergency Pack => No
2017-04-27 08:38 caristu Assigned To platform => caristu
2017-04-27 08:38 caristu Relationship added related to 0035386
2017-04-27 08:39 caristu Relationship added related to 0035553
2017-04-27 08:42 caristu Relationship added related to 0035853
2017-05-08 08:42 hgbot Checkin
2017-05-08 08:42 hgbot Note Added: 0096444
2017-05-08 08:42 hgbot Status new => resolved
2017-05-08 08:42 hgbot Resolution open => fixed
2017-05-08 08:42 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/554d8c055ea2e7cb078c405634e41c14079bd61e [^]
2017-05-08 09:10 caristu Review Assigned To => alostale
2017-05-11 19:16 caristu Relationship added causes 0035979
2017-05-12 08:31 caristu Relationship added related to 0035980
2017-05-15 11:11 caristu Tag Attached: Performance
2017-05-15 13:19 alostale Note Added: 0096593
2017-05-15 13:19 alostale Status resolved => closed
2017-05-15 13:19 alostale Fixed in Version => 3.0PR17Q3
2017-05-29 17:43 hudsonbot Checkin
2017-05-29 17:43 hudsonbot Note Added: 0096949
2017-05-31 10:02 marvintm Relationship added blocks 0036146
2017-05-31 10:02 marvintm Relationship replaced causes 0036146
2017-11-08 11:58 caristu Relationship added causes 0037259


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker